<?php
/**
 * @file
 * Provides a place to define alterations and such used in mutation tests.
 *
 * Copyright 2008-2009 by Jimmy Berry ("boombatower", http://drupal.org/user/214218)
 */

/**
 * Define custom success conditions.
 *
 * This hook should be used when success conditions are more complicated then a
 * simple URL as provided through the interface. Conditions such as a user
 * having a particular role, available after successful transaction, or
 * submitting a form that does not redirect to a different page.
 *
 * Any events or conditions that are relized outside the scope of this hook
 * should be stored via a global or static variable in a function that can be
 * checked by this hook when invoked.
 *
 * @param integer $study_nid Study NID being checked for success.
 * @return mixed Either TRUE if success or array().
 */
function hook_multivariate_success($study_nid) {
  if (multivariate_study_is_enabled($study_nid)) {
    if ($_GET['q'] == 'node') {
      return TRUE;
    }
  }
  return array();
}
