<?php
/**
 * @file
 * Provides a place to define alterations and such used in mutation tests.
 *
 * Copyright 2008-2009 by Jimmy Berry ("boombatower", http://drupal.org/user/214218)
 */

/**
 * Implementation of hook_form_FORM_ID_alter(): user_profile_form.
 */
function multivariate_form_user_profile_form_alter(&$form, $form_state) {
  // Used to ensure this only runs during testing. This also serves as an
  // example. To please modify this and remove the following three lines.
  if (!preg_match("/^simpletest\d+$/", $_SERVER['HTTP_USER_AGENT'])) {
    return;
  }

  // Example mutation.
  if (multivariate_study_is_enabled(1)) {
    $mutation = multivariate_mutation_get(1);

    // Mutation group 0.
    switch ($mutation[0]) {
      case 0:
        $form['account']['name']['#title'] = t('Name');
        break;
      case 1:
        $form['account']['name']['#title'] = t('Your name');
        break;
    }

    // Mutation group 1.
    switch ($mutation[1]) {
      case 0:
        $form['account']['mail']['#title'] = t('E-mail');
        break;
      case 1:
        $form['account']['mail']['#title'] = t('Your e-mail');
        break;
      case 2:
        $form['account']['mail']['#title'] = t('Your e-mail address');
        break;
    }
  }
}
